#
# spec file for package yup (Version 5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yup
Version:        14
Release:        3.1
Summary:        "Yum Update Proxy" for SLE 10 Maintenance
Source0:        yup.sh
Source1:        yup.sysconfig
Source2:        yup.1.pod
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
Requires:       curl
BuildArch: 	noarch

%description 
This packages allows to configure an update-mirror for Novell
maintenance packages for SUSE Linux Enterprise 10.

Please make sure, that the number of systems to serve with the mirrored
packages is in compliance with the number of subscriptions you are
allowed to exercise according to your contract with Novell.



Authors:
--------
    Marcus Meissner
    Eberhard Moenkeberg
    Matthias Eckermann

%prep
%setup -T -c

%build
pod2man --center=" " --release="%{version}-%{release}" --date="$(date)" %{S:2} > yup.$$$$;
perl -p -e 's/.if n .na/.\\\".if n .na/;' yup.$$$$ > yup.1;
rm -f yup.$$$$

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p	$RPM_BUILD_ROOT/usr/sbin		\
		$RPM_BUILD_ROOT/usr/share/man/man1	\
		$RPM_BUILD_ROOT/var/adm/fillup-templates
install %{S:0}	$RPM_BUILD_ROOT/usr/sbin/yup
install %{S:1}	$RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.yup
install yup.1	$RPM_BUILD_ROOT/usr/share/man/man1/yup.1
gzip -9 	$RPM_BUILD_ROOT/usr/share/man/man1/yup.1

%files
%defattr(-,root,root)
%attr(700, root, root) /usr/sbin/yup
/usr/share/man/man1/yup.1.gz
/var/adm/fillup-templates/sysconfig.yup

%post
%{fillup_and_insserv -i -n yup}

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog -n yup
* Fri Sep 15 2006 - mge@suse.de
- add support for multiple architectures
- add support for different curl-path (YUP_CURL)
- add support for different keys for SLES, SLED and other products
  ( YUP_ID_SLED YUP_PASS_SLED YUP_ID_SLES YUP_PASS_SLES )
- add ability to have different servers for different products
* Thu Aug 31 2006 - meissner@suse.de
- fixed typo in script for older bash versions.
* Wed Aug 30 2006 - meissner@suse.de
- Initial import of YUM REPO-MD mirror script for update.novell.com.
